# Danh sách hãng vận chuyển

* Dùng để lấy danh sách các hãng vận chuyển đang được tích hợp với Nhanh.vn. Nhanh.vn đang kết nối với Giaohangnhanh, J\&T Express, Viettel Post, Vietnam Post, EMS, Ninjavan, Best Express... để hỗ trợ dịch vụ vận chuyển và giao hàng thu tiền tận nhà.
* Chú ý: Dữ liệu này rất ít khi bị thay đổi, bạn có thể cache dữ liệu trên hệ thống của bạn để giảm tải việc phải gọi API liên tục, thời gian cache khuyến cáo là 24h.

## Request

* Xem các [common request params](/v3/readme.md#request-params)
* Xem [Postman sample](https://www.postman.com/nhanh-vn/pos-open-nhanh-vn/request/xkjiuyu/shipping-carrier).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/shipping/carrier?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json' \
--data ''
```

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "data": [
    {
      "id": "(int) ID hãng vận chuyển",
      "name": "(string) Tên hãng vận chuyển",
      "logo": "(string) Đường dẫn file ảnh",
      "status": "(int) Trạng thái (1: Hoạt động, 2: Không hoạt động)",
      "shortName": "(string) Tên viết tắt của hãng vận chuyển",
      "services": [
        {
            "id": "(int) ID dịch vụ vận chuyển",
            "name": "(string) Tên dịch vụ vận chuyển",
            "description": "(string) Mô tả dịch vụ"
        }
      ]
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/shipping/carrier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
